From 84931adcd465e9a3b5e38f3b416a1df2acc33801 Mon Sep 17 00:00:00 2001
From: Marc Cornellà <hello@mcornella.com>
Date: Fri, 21 Jan 2022 19:03:35 +0100
Subject: fix: do not call chpwd hooks in subshells

---
 tools/check_for_upgrade.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

(limited to 'tools/check_for_upgrade.sh')

diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 729d8ecb5..3f6d35c3e 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -36,11 +36,11 @@ function current_epoch() {
 
 function is_update_available() {
   local branch
-  branch=${"$(cd "$ZSH"; git config --local oh-my-zsh.branch)":-master}
+  branch=${"$(cd -q "$ZSH"; git config --local oh-my-zsh.branch)":-master}
 
   local remote remote_url remote_repo
-  remote=${"$(cd "$ZSH"; git config --local oh-my-zsh.remote)":-origin}
-  remote_url=$(cd "$ZSH"; git config remote.$remote.url)
+  remote=${"$(cd -q "$ZSH"; git config --local oh-my-zsh.remote)":-origin}
+  remote_url=$(cd -q "$ZSH"; git config remote.$remote.url)
 
   local repo
   case "$remote_url" in
@@ -58,7 +58,7 @@ function is_update_available() {
 
   # Get local HEAD. If this fails assume there are updates
   local local_head
-  local_head=$(cd "$ZSH"; git rev-parse $branch 2>/dev/null) || return 0
+  local_head=$(cd -q "$ZSH"; git rev-parse $branch 2>/dev/null) || return 0
 
   # Get remote HEAD. If no suitable command is found assume there are updates
   # On any other error, skip the update (connection may be down)
@@ -136,7 +136,7 @@ function update_ohmyzsh() {
   fi
 
   # Test if Oh My Zsh directory is a git repository
-  if ! (cd "$ZSH" && LANG= git rev-parse &>/dev/null); then
+  if ! (cd -q "$ZSH" && LANG= git rev-parse &>/dev/null); then
     echo >&2 "[oh-my-zsh] Can't update: not a git repository."
     return
   fi
-- 
cgit v1.2.3-70-g09d2